#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gnome2-Print
Summary:	Perl interface to the GNOME Print libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME Print
Name:		perl-Gnome2-Print
Version:	1.000
Release:	5
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	66578c2ffaebbe035a0735e65ad71c3f
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-Gtk2 >= 1.120
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libgnomeprintui >= 2.2.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.120
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2::Print Perl module allows a Perl developer to use the GNOME
Printing libraries with Gtk2-perl.

%description -l pl.UTF-8
Moduł Perla Gnome2::Print umożliwia programistom perlowym korzystanie
z bibliotek GNOME Print wraz z Gtk2-perl.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Print/{,*/}*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{perl_vendorarch}/Gnome2/Print.pm
%dir %{perl_vendorarch}/Gnome2/Print
%{perl_vendorarch}/Gnome2/Print/Config
%{perl_vendorarch}/Gnome2/Print/Font
%{perl_vendorarch}/Gnome2/Print/Install
%dir %{perl_vendorarch}/auto/Gnome2/Print
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Print/*.so
%{perl_vendorarch}/auto/Gnome2/Print/*.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-Print.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d8ff315
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f41eeb
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 45e6d1b
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c09e9a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 33cfed8
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ccd77f6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ca77fc4
- converted to UTF-8

* Sun Dec 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 30bc0aa
- updated to 1.000

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5abfc25
- unify sourceforge url

* Sat Oct 08 2005 freetz <freetz@pld-linux.org> 9149aa7
- 0.951

* Thu Aug 11 2005 radek <radek@pld-linux.org> cbca630
- bcond_with(out) is followed by one \t, then bcond's name.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 80d0f94
- formatting

* Wed Nov 03 2004 ankry <ankry@pld-linux.org> ee30c45
- fixed %files

* Tue Nov 02 2004 ankry <ankry@pld-linux.org> 35007cc
- get rid of .pod documentation, rel. 2

* Thu Aug 12 2004 ankry <ankry@pld-linux.org> 5a0ca99
- s/Gnome/GNOME, other cosmetics

* Sun Jul 25 2004 freetz <freetz@pld-linux.org> d8211f5
- 0.94

* Mon Jun 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 361180a
- fixed Name

* Sat Jun 05 2004 radek <radek@pld-linux.org> fb20bd8
- massive: unfold macros in name/summary & other unifications

* Wed Apr 28 2004 freetz <freetz@pld-linux.org> 6686b8f
- 0.91, updated BRs, added Rs with required perl-{Glib,Gtk2} versions

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 34c279a
- license fixes/unification

